#include "framecpp/config.h"

#include "framecpp/Version8/FrameSpec.hh"

#include "framecpp/Version8/StreamRef.hh"

#include "framecpp/Version8/FrHeader.hh"
#include "framecpp/Version8/FrEndOfFile.hh"

namespace FrameCPP
{
  namespace Version_8
  {
    static const bool Initialized = init_frame_spec( );

    bool init_frame_spec( )
    {
      using Common::FrameSpec;

      //-----------------------------------------------------------------
      // Local storage describing implementation of the frame spec
      //-----------------------------------------------------------------
      std::auto_ptr< Common::FrameSpec::Info >
	info( new Common::FrameSpec::Info( DATA_FORMAT_VERSION,
					   LIBRARY_MINOR_VERSION
					   /* , Verify :TODO: */ ) );

      info->FrameObject( new StreamRef( ) );
      info->FrameObject( new FrHeader( ) );
      info->FrameObject( new FrEndOfFile( ) );

      //-----------------------------------------------------------------
      // Register with the stream manipulator
      //-----------------------------------------------------------------
      FrameSpec::SpecInfo( FrameSpec::version_type( DATA_FORMAT_VERSION ),
			   info.release( ) );
      return true;
    }
  } // namespace - Version_8
} // namespace - FrameCPP
