#ifndef FrameCPP__VERSION_8__Specs_HH
#define FrameCPP__VERSION_8__Specs_HH

#include "general/types.hh"

#include "framecpp/Common/FrameSpec.hh"

namespace FrameCPP
{
  namespace Common {
    class OFrameStreamGen;
  }

  namespace Version_7 {}

  //---------------------------------------------------------------------
  /// \brief Implementation of the version 8 specification
  ///
  /// The version 8 frame specification is still under developement.
  /// With this being the case, this namespace should be considered as
  /// Alpha software and no production frames should be generated using
  /// this namespace.
  //---------------------------------------------------------------------
  namespace Version_8
  {
    namespace Previous = Version_7;

    const CHAR_U DATA_FORMAT_VERSION( 8 );
    const CHAR_U LIBRARY_MINOR_VERSION( Common::FrameSpec::MINOR_VERSION_BETA );

    bool init_frame_spec( );
  } // namespace - Version_8
} // namespace - FrameCPP
#endif /* FrameCPP__VERSION_8__Specs_HH */
